GOA-DAEMON(8)

NAME
goa-daemon - GNOME Online Accounts Daemon

SYNOPSIS

goa-daemon [--help] [--replace] [--version]

DESCRIPTION

The goa-daemon program provides the org.gnome.OnlineAccounts name on the session message bus. Users or administrators should never need to start this daemon as it will be automatically started by dbus-daemon(1) whenever an application sends a D-Bus message to the org.gnome.OnlineAccounts name on the session bus.

CONFIGURATION FILE

The goa-daemon program stores configuration in the $XDG_CONFIG_HOME/goa-1.0/accounts.conf (typically ~/.config/goa-1.0/accounts.conf) file. The format of this file is private and 3rd party programs or libraries should never read it. This file does not contain any passwords or secrets.

See the XDG Base Directory Specification[1] for more information about $XDG_CONFIG_HOME.

SECRETS

The goa-daemon program stores secrets (such as OAuth tokens) in GNOME Keyring[2]. The format of the stored secrets is private and 3rd party programs or libraries should never read, modify or delete these secrets.

OPTIONS

--replace
    Replace existing instance.

--version
    Show program version.

--help
    Show help options.

AUTHOR

Written by David Zeuthen <zeuthen@gmail.com> with a lot of help from many others.

BUGS

Please send bug reports to either the distribution bug tracker or the upstream bug tracker at https://gitlab.gnome.org/GNOME/gnome-online-accounts/issues. There are some debugging tips at https://wiki.gnome.org/Projects/GnomeOnlineAccounts/Debugging

SEE ALSO

dbus-daemon(1)

NOTES

1.  XDG Base Directory Specification
    http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html

2.  GNOME Keyring
    https://wiki.gnome.org/Projects/GnomeKeyring